Bug 826410 - wput AUTH TLS not supported / working
wput AUTH TLS not supported / working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wput (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 03:03 EDT by epablo
Modified: 2013-02-13 09:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:52:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Config.log from the build (26.40 KB, text/x-log)
2012-05-30 03:03 EDT, epablo
no flags Details

  None (edit)
Description epablo 2012-05-30 03:03:46 EDT
Created attachment 587612 [details]
Config.log from the build

Description of problem:

TLS/SSL support is not enabled.

[504] 'TLS/SSL protection required.'
Error: Login-Sequence failed (TLS/SSL protection required.)

After downloading the src.rpm and trying to add the support myself I could not make it work even though the libraries are installed

output of ./configure:
=======================
...
checking for GNUTLS includes... ""
checking gnutls/gnutls.h, usability... no
checking gnutls/gnutls.h, presence... no
checking for gnutls/gnutls.h,... no
checking gnutls/openssl.h usability... no
checking gnutls/openssl.h presence... no
checking for gnutls/openssl.h... no
checking for GNUTLS libraries... no
...

config.log:
========================
configure:6638: checking gnutls/gnutls.h, usability
configure:6655: gcc -c  -Wall  -g  -I NONE/include conftest.c >&5
conftest.c:63:28: fatal error: gnutls/gnutls.h,: No such file or directory
compilation terminated.
configure:6661: $? = 1

[epablo@r61-f16 wput-0.6.1]$ ls -l /usr/include/gnutls/gnutls.h 
-rw-r--r--. 1 root root 68900 Mar 23 14:44 /usr/include/gnutls/gnutls.h

Version-Release number of selected component (if applicable):
wput-0.6.1-9.fc16.x86_64

How reproducible:
Try to upload a file to a FTP server that requires AUTH TLS


Steps to Reproduce:
1.
2.
3.
  
Actual results:

[epablo@r61-f16 wput-0.6.1]$ ./wput -v -v config.log ftp://ftp.example.com/new/
Added file `config.log' to queue.
Added URL `ftp://ftp.example.com/new/' to queue.
processing queue:
File: `config.log'
URL : `ftp://ftp.example.com/new/'
IP of `ftp.example.com' is `10.10.10.10'
PRE_GUESS: local_file: config.log
remote_path: new	remote_file:  (0)
POST_GUESS: local_file: config.log
remote_path: new	remote_file: config.log
Searching for skip_entry ftp://user:passwd@10.10.10.10:21/new
--07:18:44-- `config.log'
    => ftp://user:xxxxx@10.10.10.10/new/config.log
starting again
Connecting to 10.10.10.10:21... c_sock: 3
initiating timeout connect (300)
Checking whether 3 is writable... 1 (115:Operation now in progress)
connected[220] 'tron FTP server ready.'
! 
Logging in as transfer ... ---->USER transfer
Checking whether 3 is writable... 1 (115:Operation now in progress)
[504] 'TLS/SSL protection required.'
Error: Login-Sequence failed (TLS/SSL protection required.)
Skipping all files from this account...
Added skip_entry ftp://user:passwd@10.10.10.10:21/
Connection ended. (23a1bd0)
Checking whether 3 is writable... 1 (115:Operation now in progress)
---->QUIT
Checking whether 3 is writable... 1 (115:Operation now in progress)
[221] 'Goodbye. You uploaded 0 bytes and downloaded 0 bytes.'
Closing socket 23a1bd0
processing queue:
FINISHED --07:18:44--
Transmission of 1 file failed.


Expected results:
Status:	Resolving address of ftp.example.com
Status:	Connecting to 10.10.10.21...
Status:	Connection established, waiting for welcome message...
Response:	220 ftp FTP server ready.
Command:	AUTH TLS
Response:	234 AUTH SSL command successful.
Status:	Initializing TLS...
Status:	Verifying certificate...
Command:	USER user
Status:	TLS/SSL connection established.
Response:	331 Password required for user.
Command:	PASS *************
Response:	230 User user logged in.



Additional info:

The required devel packages are installed
[epablo@r61-f16 rpmbuild]$ rpm -qa|grep tls
gnutls-2.12.14-2.fc16.i686
gnutls-c++-2.12.14-2.fc16.x86_64
gnutls-2.12.14-2.fc16.x86_64
gnutls-devel-2.12.14-2.fc16.x86_64
gnutls-utils-2.12.14-2.fc16.x86_64

[epablo@r61-f16 rpmbuild]$ rpm -qa|grep openssl
openssl-devel-1.0.0i-1.fc16.x86_64
openssl-1.0.0i-1.fc16.x86_64
Comment 1 Fedora End Of Life 2013-01-16 08:56:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:52:51 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.